Package org.eclipse.zest.core.widgets

# Class FigureSubgraph.SubgraphFigrueListener

java.lang.Object
org.eclipse.zest.core.widgets.FigureSubgraph.SubgraphFigrueListener

All Implemented Interfaces:
  `org.eclipse.draw2d.FigureListener`

Enclosing class:
  `FigureSubgraph`

protected class FigureSubgraph.SubgraphFigrueListener extends Object implements org.eclipse.draw2d.FigureListener
Listens to changes in this subgraph's figure and fires proper event in its layout context.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`SubgraphFigrueListener()`

## Method Summary

Modifier and Type
Method
Description
`void`
`figureMoved(org.eclipse.draw2d.IFigure source)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SubgraphFigrueListener

protected SubgraphFigrueListener()

## Method Details

### figureMoved

public void figureMoved(org.eclipse.draw2d.IFigure source)

Specified by:
  `figureMoved` in interface `org.eclipse.draw2d.FigureListener`